# @param sid
#   Matches an SAP instance number
#
# @param instance_class
#   Used to determine the port set to use for the instance alias
#
# @param number
#   Two digit instance number (e.g. 01) which is appended to the port prefix
#   determined from the instance class.
#
# @param port_override
#   Used in exceptional cases to override the port calculation
#
type Groundplex::SapMessageServer = Struct[
  sid                     => Sap::SID,
  instance_class          => Sap::InstClassSapCs,
  number                  => Sap::InstNumber,
  Optional[port_override] => Stdlib::Port,
]
